Bug 599026 - Makefile typo causes SSSD not to use the kernel keyring
Makefile typo causes SSSD not to use the kernel keyring
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 599027
  Show dependency treegraph
 
Reported: 2010-06-02 10:37 EDT by Stephen Gallagher
Modified: 2010-07-21 15:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.2.1-17.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 599027 (view as bug list)
Environment:
Last Closed: 2010-07-07 13:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2010-06-02 10:37:31 EDT
Description of problem:
There is a typo in the Makefile for SSSD. Using KEYUITLS_LIB instead of KEYUTILS_LIB results in the SSSD using its own internal storage instead of the slightly more secure kernel keyring.


Version-Release number of selected component (if applicable):
sssd-1.2.0-12.fc13

How reproducible:
Every time

Steps to Reproduce:
1. Compile the SSSD
2. Run the sssd with krb5_store_password_if_offline
  
Actual results:
The kernel keyring is not used, and internal storage is used instead.

Expected results:
The kernel keyring is used.

Additional info:
N/A
Comment 1 Fedora Update System 2010-06-21 07:51:41 EDT
sssd-1.2.1-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sssd-1.2.1-15.fc13
Comment 2 Fedora Update System 2010-06-21 08:56:59 EDT
sssd-1.2.1-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sssd-1.2.0-13.fc13
Comment 3 Fedora Update System 2010-06-21 17:32:28 EDT
sssd-1.2.1-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sssd-1.2.1-15.fc13
Comment 4 Fedora Update System 2010-06-25 07:50:25 EDT
sssd-1.2.1-17.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/sssd-1.2.1-17.el5
Comment 5 Fedora Update System 2010-06-30 10:24:35 EDT
sssd-1.2.1-17.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sssd-1.2.1-17.el5
Comment 6 Fedora Update System 2010-07-07 13:52:56 EDT
sssd-1.2.1-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-21 15:59:28 EDT
sssd-1.2.1-17.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.